diff -ur sip-4.5.2/configure.py sip-4.5.2-new/configure.py
--- sip-4.5.2/configure.py	Sat Dec  9 22:49:20 2006
+++ sip-4.5.2-new/configure.py	Mon Jan 22 18:16:52 2007
@@ -372,6 +373,10 @@
     if opt_platform is None:
         opt_platform = default_platform
 
+    if opt_platform.find("msvc") >= 0:
+        global plat_py_conf_inc_dir
+        plat_py_conf_inc_dir = sys.prefix + "\\PC"
+        
     # Get the platform specific macros for building.
     macros = siputils.parse_build_macros(os.path.join("specs", opt_platform), build_macro_names, args)

diff -ur sip-4.5.2/siputils.py sip-4.5.2-new/siputils.py
--- sip-4.5.2/siputils.py	Sat Dec  9 22:49:20 2006
+++ sip-4.5.2-new/siputils.py	Mon Jan 22 18:05:15 2007
@@ -1400,7 +1400,7 @@
         if self.static:
             if self.generator in ("MSVC", "MSVC.NET", "BMAKE"):
                 mfile.write("LIB = %s\n" % self.required_string("LIB"))
-            if self.generator == "MINGW":
+            elif self.generator == "MINGW":
                 mfile.write("AR = %s\n" % self.required_string("LIB"))
                 self._ranlib = None
             else: